# ===========================================
# L'dicO - SearXNG Configuration
# ===========================================

general:
  debug: false
  instance_name: "L'dicO"
  privacypolicy_url: "https://lintello.ai/privacy"
  donation_url: false
  contact_url: false
  enable_metrics: false

search:
  safe_search: 0
  autocomplete: ""
  default_lang: "fr-FR"
  max_page: 0
  formats:
    - html
    - json

server:
  port: 8080
  bind_address: "0.0.0.0"
  secret_key: "${SEARXNG_SECRET_KEY}"
  limiter: true
  public_instance: false
  image_proxy: false

ui:
  static_use_hash: true
  default_locale: "fr"
  query_in_title: false
  infinite_scroll: false
  center_alignment: false
  default_theme: simple
  theme_args:
    simple_style: auto

outgoing:
  request_timeout: 3.0
  max_request_timeout: 10.0
  useragent_suffix: ""
  pool_connections: 100
  pool_maxsize: 20
  enable_http2: true

# Moteurs de recherche activés
engines:
  # Moteurs principaux
  - name: google
    engine: google
    shortcut: g
    disabled: false

  - name: bing
    engine: bing
    shortcut: b
    disabled: false

  - name: duckduckgo
    engine: duckduckgo
    shortcut: ddg
    disabled: false

  - name: qwant
    engine: qwant
    shortcut: qw
    disabled: false
    categories: [general, web]

  - name: wikipedia
    engine: wikipedia
    shortcut: wp
    disabled: false

  - name: wikidata
    engine: wikidata
    shortcut: wd
    disabled: false

  # Moteurs désactivés (images, vidéos - pas utile pour LintellO)
  - name: bing images
    disabled: true
  - name: google images
    disabled: true
  - name: google videos
    disabled: true
  - name: youtube
    disabled: true
  - name: dailymotion
    disabled: true

# Rate limiting
limiter:
  enabled: true

# Pas de Redis pour le moment (simple installation)
redis:
  url: false
